package com.slodon.b2b2c.vo.video;

import com.slodon.b2b2c.video.pojo.SvideoReply;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 *
 * 封装回复Vo对象
 *
 * @author wuxy
 */
@Data
public class ReplyVO implements Serializable {

    private static final long serialVersionUID = -3896991541234387572L;
    @ApiModelProperty("回复id")
    private Integer replyId;

    @ApiModelProperty("父级回复id")
    private Integer parentReplyId;

    @ApiModelProperty("回复人id")
    private Integer fromAuthorId;

    @ApiModelProperty("回复人名称")
    private String fromAuthorName;

    @ApiModelProperty("被回复人id")
    private Integer toAuthorId;

    @ApiModelProperty("被回复人名称")
    private String toAuthorName;

    @ApiModelProperty("点赞数")
    private Integer likeNum;

    @ApiModelProperty("回复时间")
    private Date createTime;

    @ApiModelProperty("回复内容")
    private String content;

    public ReplyVO(SvideoReply svideoReply) {
        this.replyId = svideoReply.getReplyId();
        this.parentReplyId = svideoReply.getParentReplyId();
        this.fromAuthorId = svideoReply.getFromAuthorId();
        this.fromAuthorName = svideoReply.getFromAuthorName();
        this.toAuthorId = svideoReply.getToAuthorId();
        this.toAuthorName = svideoReply.getToAuthorName();
        this.likeNum = svideoReply.getLikeNum();
        this.createTime = svideoReply.getCreateTime();
        this.content = svideoReply.getContent();
    }
}
